#!/bin/bash
#This script will make the redundant VALT server the primary VALT server. 
#The DNS entry must be updated to point to this server.

echo "WARNING: DO NOT RUN THIS SCRIPT MULTIPLE TIMES!!!"
echo "MAKE SURE THE DNS ENTRY HAS BEEN UPDATED PRIOR TO EXECUTING THIS SCRIPT"
echo "Press enter to continue."
read r


if [[ $EUID -ne 0 ]]; then
        echo "You must run this script as root" 2>&1
        exit 1
else
	mysql --defaults-extra-file=/usr/local/valt/conf/standby.cnf -e "STOP SLAVE;"
	mysql --defaults-extra-file=/usr/local/valt/conf/standby.cnf -e "RESET SLAVE;"
	systemd-resolve --flush-caches
	systemctl enable apache2 
	systemctl enable valtcontrols
	systemctl enable WowzaStreamingEngine
	service apache2 start
	service WowzaStreamingEngine start
	service valtcontrols start
fi
